Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.compiler
Interface Types

All Known Subinterfaces:
  BaseCompiler, Compiler, InterpCompiler

    public interface Types

Data types supported by the `Compiler` interface.

Field Summary
`static Type` | `BYTE` Define secondary types.
`static Type` | `DOUBLE` Define primary types.
`static Type` | `FLOAT` Define primary types.
`static Type` | `INT` Define primary types.
`static Type` | `IP` Special dummy types for supporting building of the `Interpreter`.
`static Type` | `LONG` Define primary types.
`static Type` | `LP` Special dummy types for supporting building of the `Interpreter`.
`static Type` | `MP` Special dummy types for supporting building of the `Interpreter`.
`static Type` | `OOP` Define primary types.
`static Type` | `REF` Define primary types.
`static int` | `RELOC_ABSOLUTE_INT` Relocation type for absolute integer addresses.
`static int` | `RELOC_RELATIVE_INT` Relocation type for relative integer addresses.
`static Type` | `SHORT` Define secondary types.
`static Type` | `SS` Special dummy types for supporting building of the `Interpreter`.
`static Type` | `UBYTE` Define secondary types.
`static Type` | `UINT` Define primary types.
`static Type` | `ULONG` Define primary types.
`static Type` | `USHORT` Define secondary types.
`static Type` | `UWORD` Define the size of stack entries.
`static Type` | `VOID` Special dummy type for call and return.
`static Type` | `WORD` Define the size of stack entries.

Field Detail

### REF

    static final Type REF

  Define primary types.

### OOP

    static final Type OOP

  Define primary types.

### INT

    static final Type INT

  Define primary types.

### UINT

    static final Type UINT

  Define primary types.

### LONG

    static final Type LONG

  Define primary types.

### ULONG

    static final Type ULONG

  Define primary types.

### FLOAT

    static final Type FLOAT

  Define primary types.

### DOUBLE

    static final Type DOUBLE

  Define primary types.

### BYTE

    static final Type BYTE

  Define secondary types.

### UBYTE

    static final Type UBYTE

  Define secondary types.

### SHORT

    static final Type SHORT

  Define secondary types.

### USHORT

    static final Type USHORT

  Define secondary types.

### VOID

    static final Type VOID

  Special dummy type for call and return.

### MP

    static final Type MP

  Special dummy types for supporting building of the `Interpreter`.

### IP

    static final Type IP

  Special dummy types for supporting building of the `Interpreter`.

### LP

    static final Type LP

  Special dummy types for supporting building of the `Interpreter`.

### SS

    static final Type SS

  Special dummy types for supporting building of the `Interpreter`.

### WORD

    static final Type WORD

  Define the size of stack entries.

### UWORD

    static final Type UWORD

  Define the size of stack entries.

### RELOC_ABSOLUTE_INT

    static final int RELOC_ABSOLUTE_INT

  Relocation type for absolute integer addresses.

  See Also:
    Constant Field Values

### RELOC_RELATIVE_INT

    static final int RELOC_RELATIVE_INT

  Relocation type for relative integer addresses.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"